get percona toolkit installed everywhere

RESOLVED FIXED

Status

Data & BI Services Team
DB: MySQL
RESOLVED FIXED
5 years ago
3 years ago

People

(Reporter: dustin, Unassigned)

Tracking

Details

(Reporter)

Description

5 years ago
Cuz it's full of useful goodies.  Also, it will be useful for bug 787185.

It looks like we can only make this work on RHEL6 due to dependencies, but that shouldn't be too bad.
(Reporter)

Comment 1

5 years ago
perl-DBD-MySQL-4.014, which installs by default on our RHEL6, doesn't work with pt-table-checksum.

I pinned the version to 4.013 in puppet, which works fine.  We can probably release that if RHEL7 has a higher version installed -- the incompatibility is specifically with 4.014.
(Reporter)

Comment 2

5 years ago
I had to register a bunch of db hosts with redhat to get the base repo available again, but once I'd done that, this worked fine.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Dus
Dustin - can you clarify which version of perl-DBD-MySQL is installed with these hosts?

Also, this is only for hosts in puppet using the mysql2 module, right? (just checking, I know we're going to be all on mysql2 soon enough anyway, just want to make sure I understand the scope)
(Reporter)

Comment 5

5 years ago
(In reply to Sheeri Cabral [:sheeri] from comment #4)
> Dustin - can you clarify which version of perl-DBD-MySQL is installed with
> these hosts?

4.013

> Also, this is only for hosts in puppet using the mysql2 module, right? (just
> checking, I know we're going to be all on mysql2 soon enough anyway, just
> want to make sure I understand the scope)

Correct
Product: mozilla.org → Data & BI Services Team
You need to log in before you can comment on or make changes to this bug.